//
//  ViewController.m
//  testComplications
//
//  Created by James Bamford on 14/06/2016.
//  Copyright © 2016 JB. All rights reserved.
//

#import "ViewController.h"
#import "AppDelegate.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UITextField *durationTextField;
@property (weak, nonatomic) IBOutlet UITextField *countTextField;

@end

@implementation ViewController

- (void)viewDidLoad {
  [super viewDidLoad];
  // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
  [super didReceiveMemoryWarning];
  // Dispose of any resources that can be recreated.
}

- (IBAction)triggerComplicationUpdateButtonPressed:(id)sender
{
  NSLog(@"triggerComplicationUpdateButtonPressed() so sending on to update watch complication!");
  
  NSInteger durationInt = self.durationTextField.text.integerValue;
  NSInteger countInt = self.countTextField.text.integerValue;
  
  AppDelegate *appDelegate = (AppDelegate *)[UIApplication sharedApplication].delegate;
  [appDelegate updateWatchConnectivityComplicationUserInfo:@{@"count" : [NSNumber numberWithInteger:countInt],
                                                             @"duration" : [NSNumber numberWithInteger:durationInt],
                                                             @"date" : [NSDate date]}];
}

@end
